Bug 1021514 - No option to install natives on HP-UX
No option to install natives on HP-UX
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: CR1
: EAP 6.2.0
Assigned To: Miles Tjandrawidjaja
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 08:44 EDT by Petr Kremensky
Modified: 2014-09-03 00:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
uname -a HP-UX eph-02 B.11.31 U ia64 3721872372 unlimited-user license java -d64 -version java version "1.7.0.06" Java(TM) SE Runtime Environment (build 1.7.0.06-jinteg_2013_05_16_04_24-b00) Java HotSpot(TM) 64-Bit Server VM (build 23.21-b01-jre1.7.0.06-rc2, mixed mode)
Last Closed: 2013-12-15 11:23:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-21 08:44:27 EDT
Description of problem:
 There is no option to install natives with 64bit jdk1.7 on HP-UX.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER6

How reproducible:
 Always

Steps to Reproduce:
 1. java -d64 -jar jboss-eap-6.2.0.ER6-installer.jar
 2. Continue using default values until "Version-Release number of selected component (if applicable):" section

Actual results:
 No natives are offered
1    [x] [Required]      [Red Hat JBoss Enterprise Application Platform]
2    [x]                 [AppClient]
3    [x] [Required]      [Bin]
4    [x] [Required]      [Bundles]
5    [x]                 [XMLs and XSDs]
6    [x] [Required]      [Domain]
7    [x] [Required]      [Domain Shell Scripts]
8    [x] [Required]      [Modules]
9    [x] [Required]      [Standalone]
10   [x] [Required]      [Standalone Shell Scripts]
11   [x] [Required]      [Welcome Content]
12   [ ] [Unselectable]  [Quickstarts]
13   [x] [Required]      [Icons]
Press 0 to confirm your selections

Expected results:
 Natives are offered.

Additional info:
 See BZ977822 for similar issue found during 6.1.1 testing.
Comment 1 Miles Tjandrawidjaja 2013-11-08 10:43:14 EST
Natives should not be present during pack selectiong when running 64bit.
I have learned that there are not plans to support 32bit for HP-UX.
So the user must ensure that the JVM is running in 64bit mode.
ia64w (Wide) not ia64n (Narrow).

http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=cd78a7975b7c42a0d6e83a04781cbe372d82fd52
Comment 2 Petr Kremensky 2013-11-15 06:38:44 EST
Verified on EAP 6.2.0.CR1 installer.

Note You need to log in before you can comment on or make changes to this bug.